View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009930CMakeCMakepublic2009-11-20 04:592011-01-12 07:10
ReporterAlex Neundorf 
Assigned ToAlex Neundorf 
PrioritylowSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCMake-2-8 
Target VersionCMake 2.8.4Fixed in VersionCMake 2.8.4 
Summary0009930: Eclipse generator: enable parallel builds ?
DescriptionIs there a way to enable parallel builds by default in the eclipse project files ?

Alex
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0009968closedAlex Neundorf Eclipse CDT Project File overwritten by '-G "Eclipse CDT4 - Unix Makefiles"' 

-  Notes
(0022868)
user3708
2010-11-04 18:46

This could be implemented by making it possible to change the parameters of the makefile builder (e.g. add "-j4").
(0023903)
Alex Neundorf (developer)
2010-12-12 11:10

There is now a cache variable CMAKE_ECLIPSE_MAKE_ARGUMENTS, which can be edited e.g. via cmake-gui, there you can set e.g. "-j4" to get parallel builds in Eclipse.
This should be in the coming cmake 2.8.4.

- Issue History
Date Modified Username Field Change
2009-11-20 04:59 Alex Neundorf New Issue
2009-11-20 04:59 Alex Neundorf Status new => assigned
2009-11-20 04:59 Alex Neundorf Assigned To => Miguel Figueroa
2010-11-04 18:46 user3708 Note Added: 0022868
2010-11-10 13:09 David Cole Target Version => CMake 2.8.4
2010-12-08 14:40 Alex Neundorf Assigned To Miguel Figueroa => Alex Neundorf
2010-12-08 16:07 David Cole Relationship added related to 0009968
2010-12-12 11:10 Alex Neundorf Note Added: 0023903
2010-12-12 11:10 Alex Neundorf Status assigned => closed
2010-12-12 11:10 Alex Neundorf Resolution open => fixed
2011-01-12 07:10 David Cole Fixed in Version => CMake 2.8.4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker